<?php
namespace app\user\model;

class TaxRelationLog extends Base
{
//设置字段信息
    protected $schema = [
        'id'  =>'bigint',//
        'income_tax_id'  =>'int',//进项id
        'output_tax_id'  =>'int',//销项id
        'output_bind_tax'  =>'varchar',//销项tax
        'change_content'  =>'text',//变化内容
        "change_type"=>"int",
        'companyNo'  =>'varchar',//公司编号
        'changer'  =>'varchar',//修改人
        'createTime'  =>'datetime',//
       ];
    protected $createTime='createTime';

    public function setChangeContentAttr($v){
        return json_encode($v,JSON_UNESCAPED_UNICODE);
    }

    public function getChangeContentAttr($v){
        return json_decode($v,true);
    }
    public function company(){
        return $this->belongsTo(Headquarters::class,'companyNo','code')->bind(['companyName'=>'name']);
    }
    public function incomeTax(){
        return $this->belongsTo(TaxCategory::class,'income_tax_id','id')
        ->bind(['income_cat_name' =>'cat_name','income_cat_code' =>'cat_code','income_short_name' =>'short_name','income_merge_code' =>'merge_code','income_tax' =>'tax']);
    }
    public function outputTax(){
        return $this->belongsTo(TaxCategory::class,'output_tax_id','id')
        ->bind(['output_cat_name' =>'cat_name','output_cat_code' =>'cat_code','output_short_name' =>'short_name','output_merge_code' =>'merge_code','output_tax' =>'tax']);
    }
}